org.apache.calcite.avatica.remote

## Class Service.PrepareRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.PrepareRequest

Enclosing interface:
  Service

    public static class Service.PrepareRequest
    extends Service.Request

Request for `Meta.prepare(Meta.ConnectionHandle, String, long)`.

### Field Summary

Fields
`private static com.google.protobuf.Descriptors.FieldDescriptor` `CONNECTION_ID_DESCRIPTOR`
`String` `connectionId`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `MAX_ROWS_TOTAL_DESCRIPTOR`
`long` `maxRowCount`
`String` `sql`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `SQL_DESCRIPTOR`

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
Constructor and Description
`Service.PrepareRequest()`
`Service.PrepareRequest(String connectionId, String sql, long maxRowCount)`

### Method Summary

Methods
`(package private) Service.PrepareResponse` `accept(Service service)`
`(package private) Service.PrepareRequest` `deserialize(com.google.protobuf.Message genericMsg)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`(package private) Requests.PrepareRequest` `serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECTION_ID_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor CONNECTION_ID_DESCRIPTOR

#### SQL_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor SQL_DESCRIPTOR

#### MAX_ROWS_TOTAL_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor MAX_ROWS_TOTAL_DESCRIPTOR

#### connectionId

    public final String connectionId

#### sql

    public final String sql

#### maxRowCount

    public final long maxRowCount

### Constructor Detail

#### Service.PrepareRequest

    Service.PrepareRequest()

#### Service.PrepareRequest

    public Service.PrepareRequest(String connectionId,
                          String sql,
                          long maxRowCount)

### Method Detail

#### accept

    Service.PrepareResponse accept(Service service)

Specified by:
  `accept` in class `Service.Request`

#### deserialize

    Service.PrepareRequest deserialize(com.google.protobuf.Message genericMsg)

Specified by:
  `deserialize` in class `Service.Request`

#### serialize

    Requests.PrepareRequest serialize()

Specified by:
  `serialize` in class `Service.Request`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`